import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useUserAccount() {
  return useQuery({
    queryKey: ['user', 'account'],
    queryFn: () => UserService.userGetAccount().then((r) => r.data),
    staleTime: 1000 * 60 * 5,
  });
}
